/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Other Vascular Properties
 */
public enum EnumCV_OtherVascularProperties {

	//Other Vascular Properties - CID 12122
	ACCELERATION_TIME_20168_1("20168-1"),
	DECELERATION_TIME_20217_6("20217-6"),
	VESSEL_LUMEN_DIAMETER_G_0364("G-0364"),
	VESSEL_INTIMAL_DIAMETER_R_1025C("R-1025C"),
	VESSEL_INTIMAL_CROSS_SECTIONAL_AREA_R_1025D("R-1025D"),
	VESSEL_OUTSIDE_DIAMETER_G_0365("G-0365"),
	VESSEL_LUMEN_CROSS_SECTIONAL_AREA_G_0366("G-0366"),
	VOLUME_FLOW_33878_0("33878-0"),
	VESSEL_DEPTH_FROM_SURFACE_R_1025E("R-1025E"),
	PEAK_GRADIENT_20247_3("20247-3"),
	MEAN_GRADIENT_20256_4("20256-4"),
	LENGTH_OF_SEGMENT_R_1025F("R-1025F");

	private String value;

	EnumCV_OtherVascularProperties(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
